SBT issue on Cloudera quickstart 5.10.0 VM ware

SBT issue on Cloudera quickstart 5.10.0 VM ware
0.0 0


Hi Team ,

I am configuring the env for the scala on Cloudera quickstart 5.10.0 VM ware but sbt package is giving error the below error …

[cloudera@quickstart scala]$ sbt package
java.lang.UnsupportedClassVersionError: scala/Option : Unsupported major.minor version 52.0

I have the below java version details .

[cloudera@quickstart scala]$ java -version
java version "1.7.0_67"
Java™ SE Runtime Environment (build 1.7.0_67-b01)
Java HotSpot™ 64-Bit Server VM (build 24.65-b04, mixed mode)


@Khan… I think you need to use java1.8 or later…


@Alok_Singh - how to update java in the the CDH vm ?


@kamal_mustafa plz download java 1.8 jar.
set the java home in .bash_profile file.
how to set java_home in .bash_profile.
if this file exists in users home dir then open it or create a new file with name .bash_profile in users home dir if its not exists.
write below statement -
export JAVA_HOME=<path of your downloaded java 1.8 jar>
reload the bash profile using below commnad.
source ./.bash_profile


export JAVA_HOME={path of new downloaded java 1.8 jar}
save the .bash_profile file.